.btn.btn-collapse {
    width: 26px;
    height: 26px;
    padding: 0;
    border-radius: 50%;
    background-color: transparent !important;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    @include button-outline-variant($secondary, $secondary);
}
.collapse-header {
    color: $secondary;
    .separator {
        background-color: $secondary;
    }
    &.sm {
        .btn.btn-collapse {
            transform: scale(0.8);
        }
    }
}
.collapse-icon {
    position: relative;
    &::before, &::after {
        content: '';
        display: block;
        // position: absolute;
        width: 14px;
        height: 1px;
        background-color: $secondary;
        transition: all 0.1s;
    }
    &::after {
        transform: translateY(-1px) rotate(90deg);
        transform-origin: center;
    }
}

.collapse.show {
    + .collapse-header {
        .collapse-icon {
            &::after {
                transform: translateY(-1px) rotate(0);
            }
        }
    }
}

.collapse-scrollable {
    > .collapse {
        max-height: 300px;
        overflow-y: auto;
        overflow-x: hidden;
    }
}
.virtual-collapse-container {
    position: relative;

    .btn.btn-collapse {
        position: absolute;
        top: 15px;
        right: 15px;
    }

    &.deletable {
        .virtual-collapse-title {
            max-width: calc(100% - 70px);
        }
        .btn-delete {
            position: absolute;
            top: 15px;
            right: 50px;
        }
    }
}

.virtual-collapse-title {
    max-width: calc(100% - 40px);
}

@each $color, $value in $theme-colors {
    @if $color != 'secondary' {
        .type-#{$color} {
            .collapse-header {
                color: $value;
                .separator {
                    background-color: $value;
                }
            }
            .btn.btn-collapse {
                @include button-outline-variant($value, $value);
            }
            .collapse-icon {
                &::before, &::after {
                    background-color: $value;
                }
            }
        }
    }
}